package org.eco.als.domain.bo;

import org.eco.als.domain.FaultSetps;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;
import org.eco.common.orm.core.domain.BaseEntity;

/**
 * 故障操作步骤业务对象 als_fault_setps_t
 *
 * @author wgk
 * @date 2024-10-25
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = FaultSetps.class, reverseConvertGenerate = false)
public class FaultSetpsBo extends BaseEntity {
    /**
     * 编号
     */
    private Long id;

    /**
     * 操作步骤
     */
    private Integer setps;

    /**
     * 操作方法
     */
    private String method;

    /**
     * 图片
     */
    private String image;

    /**
     * 备注
     */
    private String remarks;


}
